ExplicateUTF8(1)

NAME
ExplicateUTF8 - Explain the status of a sequence of bytes as a UTF8 encoding

SYNOPSIS
ExplicateUTF8 ((-o <byte offset>) <file name>)

DESCRIPTION
ExplicateUTF8 examines its input and determines whether it begins with a valid UTF8 Unicode sequence. If the sequence is invalid, it explains why. If the sequence is valid, it explains why the sequence is valid, gives the equivalent UTF-32 code, and explains how this value was computed.

If no input file name is supplied, ExplicateUTF8 reads from the standard input.

COMMAND LINE FLAGS

-h  Print usage message.

-o <byte offset>
    Skip the first <byte offset> bytes of the input.

-v  Print version information.

REFERENCES
Unicode Standard, version 4.1

AUTHOR
Bill Poser
billposer@alum.mit.edu

LICENSE
GNU General Public License